Subject: Re: bug#25607: 26.0.50; Ido does not work with tramp anymore

From: Michael Albinus <[email-masked]>
Date: Fri, 03 Feb 2017 15:34:07 +0100

Cédric Chépied <[email-masked]> writes:

Hi Cédric,

> emacs -Q
> M-x ido-mode
> C-x C-f
> (Here ido completion works)
> Press backspace until you only have 'Find file: /' as prompt
> (Here completion still works)
> Type sudo:root@localhost:/
> (No completion)
>
> It used to ask sudo password and then completion was working.

Likely, the changed behaviour comes from my commit
6653bb45d3697c9372cc77773c49f52399740b51, fixing bug#24947.

Well, I'm not an ido user, so I could be wrong with my
fixes. admin/MAINTAINERS doesn't mention somebody who feels responsible
for ido. I would really appreciate if an ido afficionado chimes in.

Best regards, Michael.